Search Jurisdictions
curl --request GET \
--url https://api.shovels.ai/v2/jurisdictions/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/jurisdictions/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/jurisdictions/search")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/jurisdictions/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/jurisdictions/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/jurisdictions/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"geo_id": "Q2l0eV8xMjM0NQ",
"name": "Sanford, FL",
"state": "FL"
},
{
"geo_id": "A2l0eV8xMjM0NQ",
"name": "Abilene, TX",
"state": "TX"
},
{
"geo_id": "B2l0eV8xMjM0NQ",
"name": "Albany, CA",
"state": "CA"
}
],
"size": 3
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Jurisdictions
Search Jurisdictions
Searches for jurisdictions based on the provided search term.
GET
/
jurisdictions
/
search
Search Jurisdictions
Authorizations
Query Parameters
The name to search for in the jurisdiction fields.
Response
A list of jurisdictions that match the search text.
Paginated response for geographical entities.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?

